Board index » delphi » D4 and BDE 4.51

D4 and BDE 4.51

Is it possible to work with D4 and Bde 4.51 ??

  htuncay.vcf
< 1K Download
 

Re:D4 and BDE 4.51


On Wed, 21 Apr 1999 10:20:24 +0200, Hasan Tuncay

Quote
<htun...@kueblerverlag.com> wrote:
>Is it possible to work with D4 and Bde 4.51 ??

No. The BDE is backward-compatible: a later version of the BDE can be
used with an earlier version of Delphi. But the BDE is not
forward-compatible: an earlier version of the BDE cannot be used with
a later version of Delphi. BDE 4.x dates from Delphi 3, and so is too
early a version to use with Delphi 4.

//////////////////////////////////////////////////////////////////////////
Steve Koterski                  "The income tax has made liars out of more
Technical Publications          Americans than golf."
Borland                                         -- Will Rogers (1879-1964)
http://www.borland.com/delphi

Re:D4 and BDE 4.51


With this being the case, do you know what is going on about the BDE 5.01
performance problems with D4 against Paradox tables?  We are in a critical
situation here and I have posted a question and have seen many other
postings about this very problem (that BDE 5.01 is much slower than 4.51 was
with Paradox tables). I have yet to see any response to anyone's questions
about this as to what if anything is being looked into about this problem.

Tom Schmitz

Quote
Steve Koterski wrote in message <371dfe02.4018...@forums.inprise.com>...
>On Wed, 21 Apr 1999 10:20:24 +0200, Hasan Tuncay
><htun...@kueblerverlag.com> wrote:

>>Is it possible to work with D4 and Bde 4.51 ??

>No. The BDE is backward-compatible: a later version of the BDE can be
>used with an earlier version of Delphi. But the BDE is not
>forward-compatible: an earlier version of the BDE cannot be used with
>a later version of Delphi. BDE 4.x dates from Delphi 3, and so is too
>early a version to use with Delphi 4.

>//////////////////////////////////////////////////////////////////////////
>Steve

Other Threads